%global enable_tests 0

Name:       nodejs-generic-pool
Version:    2.0.3
Release:    1%{?dist}
Summary:    Generic resource pooling for Node.js
# License text is included in README.md.
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/coopernurse/node-pool
Source0:    http://registry.npmjs.org/generic-pool/-/generic-pool-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires:  npm(expresso)
%endif

%description
%summary


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/generic-pool
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/generic-pool

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%{nodejs_sitelib}/expresso/bin/expresso -I lib test/*.js
%endif


%files
%doc README.md
%{nodejs_sitelib}/generic-pool


%changelog
* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.0.3-1
- initial package
